[SciPy-user] problem with plt.plot

Fernando Avila Castro favilac at cosmos.astro.uson.mx
Fri Apr 29 19:15:52 CDT 2005


 	Hi, i have installed the Scipy packages on Scientific Linux 4 
(derived from RHEL 4) with the ATLAS libs, gnuplot.py and wxPython.
 	It rans the test ok, and I can make plots using gplt. The problem 
is with plt. I can't even run the examples on the plotting tutorial:



Python 2.3.4 (#1, Feb 18 2005, 12:15:38)
[GCC 3.4.3 20041212 (Red Hat 3.4.3-9.EL4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from scipy import *
>>> import gui_thread
>>> gui_thread.start()
Traceback (most recent call last):
   File "<stdin>", line 1, in ?
   File "/usr/lib/python2.3/site-packages/gui_thread/__init__.py", line 73, 
in start
     wxPython_thread()
   File "/usr/lib/python2.3/site-packages/gui_thread/wxPython_thread.py", 
line 160, in wxPython_thread
     sys.modules[name] = wrap_extmodule(module,call_holder)
   File "/usr/lib/python2.3/site-packages/gui_thread/wxPython_thread.py", 
line 61, in wrap_extmodule
     raise NotImplementedError,`t`
NotImplementedError: <type 'PyCObject'>
>>> gui_thread.wxPython_thread()
Traceback (most recent call last):
   File "<stdin>", line 1, in ?
   File "/usr/lib/python2.3/site-packages/gui_thread/wxPython_thread.py", 
line 156, in wxPython_thread
     for name in get_extmodules(pexec):
   File "/usr/lib/python2.3/site-packages/gui_thread/wxPython_thread.py", 
line 25, in get_extmodules
     _do_import(pexec)
   File "/usr/lib/python2.3/site-packages/gui_thread/wxPython_thread.py", 
line 104, in _do_import
     assert not sys.modules.has_key('wx'), \
AssertionError: wx is already imported, cannot proceed


Any hints on how to solve this?



More information about the SciPy-user mailing list